POST
Merchant wallets/merchant-wallets/{merchantId}/settlement-requestRequest merchant settlement
Creates a manual settlement request for a merchant wallet period.
Access tiermerchant_financeRate limit60/minIdempotencybody:idempotency_keyAuthenticationBearerAuth
Source
LuxApi/Modules/LuxPayIdentity/Http/Controllers/Api/MerchantWalletApiController.php::settlementRequestLuxPayProjects @ 146e98baa44eParameters
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...merchantIdpathMerchant/business identifier.
Example:10101Request body
MerchantSettlementRequestRequired
wallet_idinteger
period_startstring
period_endstring
idempotency_keystring
notesstring | null
JSON example
{
"wallet_id": 1,
"period_start": "2026-07-16",
"period_end": "2026-07-16",
"idempotency_key": "string",
"notes": "string"
}Code examples
The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/merchant-wallets/10101/settlement-request' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"wallet_id": 1,
"period_start": "2026-07-16",
"period_end": "2026-07-16",
"idempotency_key": "string",
"notes": "string"
}'Responses
200Successful response.
statusboolean
Example:
truemessagestring | null
dataSettlement
{
"status": true,
"message": "string",
"data": {
"id": 1,
"uuid": "00000000-0000-4000-8000-000000000001",
"wallet_id": 1,
"period_type": "daily",
"period_start": "2026-07-16",
"period_end": "2026-07-16",
"status": "pending",
"idempotency_key": "string",
"notes": "string",
"items": [
{}
],
"created_at": "2026-07-16T12:00:00Z"
}
}